Subject: Re: bug#24012: 25.0.95; forward-comment backwards takes O(n^2)

From: Eli Zaretskii <[email-masked]>
Date: Mon, 18 Jul 2016 17:34:32 +0300

> From:  Leo Liu <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 18 Jul 2016 11:05:01 +0800
> 
> On 2016-07-18 05:36 +0300, Eli Zaretskii wrote:
> > Profile it.  One guess is that the different comment syntax somehow
> > causes this.  But that's a guess.
> 
> How to profile it?
> 
> Before reporting this bug I have been trying profiler and elp and came
> to the conclusion that forward-comment was the issue. How do you go
> further than forward-comment which is in C which I only have limited
> experience with?

I meant a comparative profile between the two major modes.

As for profiling primitives, there's 'prof' that can make wonders, if
you are using a platform which it supports.

Thanks.